#include <iostream>

using namespace std;
int main()
{
    std::ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);

    long long n, k, len = 0, temp;

    cin >> n >> k;

    long long niz[n];

    for(long long i = 0; i < n; ++i){
        cin >> temp;
        if (len == 0){
            niz[len] = temp;
            ++len;
        }
        else if (k != 0 && temp < niz[len - 1]){
            niz[len - 1] = temp;
            --k;
        }
        else{\
            niz[len] = temp;
            ++len;
        }
    }

    for(long long i = 0; i < len - k; ++i){
        cout << niz[i] << " ";
    }
    return 0;
}